#include <stdio.h>
#include <stdlib.h>

int main(int argc, char *argv[]) {
	
	int L,N,Hi[10],x=0,i;
	
	printf("Unesi broj stalaktita\n");
	scanf("%d",&N);
	
	printf("Unesi visinu Perice\n");
	scanf("%d",&L);
	
	for(i=0;i<N;i++)
	{
		printf("Unesi visinu %d. stalaktita\n",i+1);
		scanf("%d",&Hi[i]);
		
	}
	
	for(i=0;i<N;i++)
	{
	 	if(L<Hi[i])
	 	{
	 		x++;
		}	
		
		else
		{
			x++;
			printf("Perica stize do %d stalaktita",x);
			break;
		}
		
		if(x==N)
			printf("-1");
	}
	return 0;
}